// Code generated by mockery v2.52.2. DO NOT EDIT.

package patch

import mock "github.com/stretchr/testify/mock"

// MockMetaEditor is an autogenerated mock type for the MetaEditor type
type MockMetaEditor struct {
	mock.Mock
}

type MockMetaEditor_Expecter struct {
	mock *mock.Mock
}

func (_m *MockMetaEditor) EXPECT() *MockMetaEditor_Expecter {
	return &MockMetaEditor_Expecter{mock: &_m.Mock}
}

// Execute provides a mock function with given fields: meta
func (_m *MockMetaEditor) Execute(meta *Metadata) error {
	ret := _m.Called(meta)

	if len(ret) == 0 {
		panic("no return value specified for Execute")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(*Metadata) error); ok {
		r0 = rf(meta)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// MockMetaEditor_Execute_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'Execute'
type MockMetaEditor_Execute_Call struct {
	*mock.Call
}

// Execute is a helper method to define mock.On call
//   - meta *Metadata
func (_e *MockMetaEditor_Expecter) Execute(meta interface{}) *MockMetaEditor_Execute_Call {
	return &MockMetaEditor_Execute_Call{Call: _e.mock.On("Execute", meta)}
}

func (_c *MockMetaEditor_Execute_Call) Run(run func(meta *Metadata)) *MockMetaEditor_Execute_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(*Metadata))
	})
	return _c
}

func (_c *MockMetaEditor_Execute_Call) Return(_a0 error) *MockMetaEditor_Execute_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *MockMetaEditor_Execute_Call) RunAndReturn(run func(*Metadata) error) *MockMetaEditor_Execute_Call {
	_c.Call.Return(run)
	return _c
}

// NewMockMetaEditor creates a new instance of MockMetaEditor. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
// The first argument is typically a *testing.T value.
func NewMockMetaEditor(t interface {
	mock.TestingT
	Cleanup(func())
}) *MockMetaEditor {
	mock := &MockMetaEditor{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
